---
layout: default
class: docs
---

# Options

All [options available in Masonry](http://masonry.desandro.com/docs/options.html) are also available in Masonry Ordered, which adds layoutPriorities along them.

## layoutPriorities

layoutPriorities accepts an object consisting of (optional) integer weights for layout strategy.

{% highlight javascript %}
$('#container').masonry({
  itemSelector: '.box',
  columnWidth: 240,
  layoutPriorities: {
    // Masonry default: Try to occupy highest available position.
    // Weight: Pixels of vertical distance from most upper spot.
    upperPosition: 1,
    // Shelf order: Try to display bricks in original order.
    //   (increases ordered-ness, decreases space-efficiency)
    // Weight: Pixels of distance of current brick's top left corner
    //         from previous brick's top right corner.
    shelfOrder: 1
  }
});
{% endhighlight %}

The default settings give 50% weight to placing items in sequence and 50% weight to placing them to highest available position. For original Masonry behavior, set <code>shelfOrder: 0</code>.
